/**
 * @file
 * Is the responsive layout composition.
 *
 * Is intented to set basic layout rules to regions and global blocks.
 * Also add grid common rules.
 */



/**
 * Layout content
 */
.main {
  position: relative;
}
.main__content {
  padding-top: 78px;
}
.layout-container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
@media all and (min-width: 1000px){
  .main__content {
    padding-top: 102px;
  }
}
body.is-hidden {
  overflow: hidden;
}
/**
 * Grid row
 */
.grid-row {
	padding: 0 1rem;
}
@media all and (min-width: 700px) {
  .grid-row {
  	padding: 0;
    width: 90%;
    max-width: 1408px;
    margin: 0 auto;
  }
  .grid-row--10 {
    max-width: 1168px;
  }
  .grid-row--8 {
    max-width: 928px;
  }
  .grid-row--6 {
    max-width: 688px;
  }
}



/**
 * Vertical spacing
 */

.top-spacing--s,
.top-spacing--m,
.top-spacing--l,
.top-spacing--xl {
  margin-top: 2rem;
}
.top-internal-spacing--s,
.top-internal-spacing--m,
.top-internal-spacing--l,
.top-internal-spacing--xl {
  padding-top: 2rem;
}
.top-spacing--xxl {
  margin-top: 3rem;
}
.top-internal-spacing--xxl {
  padding-top: 3rem;
}
.bottom-spacing--s,
.bottom-spacing--m,
.bottom-spacing--l,
.bottom-spacing--xl {
  margin-bottom: 2rem;
}
.bottom-internal-spacing--s,
.bottom-internal-spacing--m,
.bottom-internal-spacing--l,
.bottom-internal-spacing--xl {
  padding-bottom: 2rem;
}
.bottom-spacing--xxl {
  margin-bottom: 3rem;
}
.bottom-internal-spacing--xxl {
  padding-bottom: 3rem;
}

@media all and (min-width: 1000px) {
  .top-spacing--s {
    margin-top: 1rem;
   }
   .top-internal-spacing--s {
    padding-top: 1rem;
   }
   .top-spacing--m {
    margin-top: 2rem;
   }
   .top-internal-spacing--m {
    padding-top: 2rem;
   }
   .top-spacing--l {
    margin-top: 4rem;
   }
   .top-internal-spacing--l {
    padding-top: 4rem;
   }
   .top-spacing--xl {
    margin-top: 6rem;
   }
   .top-internal-spacing--xl {
    padding-top: 6rem;
   }
   .top-spacing--xxl {
    margin-top: 8rem;
   }
   .top-internal-spacing--xxl {
    padding-top: 8rem;
   }
   .bottom-spacing--s {
    margin-bottom: 1rem;
   }
   .bottom-internal-spacing--s {
    padding-bottom: 1rem;
   }
   .bottom-spacing--m {
    margin-bottom: 2rem;
   }
   .bottom-internal-spacing--m {
    padding-bottom: 2rem;
   }
   .bottom-spacing--l {
    margin-bottom: 4rem;
   }
   .bottom-internal-spacing--l {
    padding-bottom: 4rem;
   }
   .bottom-spacing--xl {
    margin-bottom: 6rem;
   }
   .bottom-internal-spacing--xl {
    padding-bottom: 6rem;
   }
   .bottom-spacing--xxl {
    margin-bottom: 8rem;
   }
   .bottom-internal-spacing--xxl {
    padding-bottom: 8rem;
   }
}

/**
 * Grid list (we assume grid list has a grid-row has direct parent)
 */
.grid-list {

}
@media all and (min-width: 750px) {
  .grid-list--2,
  .grid-list--3,
  .grid-list--4 {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	-webkit-flex-direction: row;
	-moz-flex-direction: row;
	-ms-flex-direction: row;
	-o-flex-direction: row;
	flex-direction: row;
	justify-content: space-between;
	-webkit-flex-wrap: wrap;
	-moz-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	-o-flex-wrap: wrap;
	flex-wrap: wrap;
  }
  .grid-list--2 > *,
  .grid-list--3 > *,
  .grid-list--4 > * {
  	width: 48%;
  }
}
@media all and (min-width: 900px) {
  .grid-list--3::before,
  .grid-list--4::before {
  	order: 999;
  }
  .grid-list--3::before,
  .grid-list--4::before,
  .grid-list--4::after {
  	content: "";
  	height: 0;
  }
  .grid-list--3 > *,
  .grid-list--3::before {
  	width: 30%;
  }
  .grid-list--4 > *,
  .grid-list--4::before,
  .grid-list--4::after  {
  	width: 23%;
  }
}

